# fn:sum

fn:sum($srcval as xs:anyAtomicType*) → xs:anyAtomicType?

Function signature

$arg | xs:anyAtomicType *
Result | xs:anyAtomicType

Returns the total of a sequence of numbers or durations

XPath 2.0 Specification

fn:sum($srcval as xs:anyAtomicType*, $zero as xs:anyAtomicType?) → xs:anyAtomicType?

Function signature

$arg | xs:anyAtomicType *
$zero | xs:anyAtomicType ?
Result | xs:anyAtomicType ?

Returns the total of a sequence of numbers, specifying the value to be returned for an empty sequence

XPath 2.0 Specification

Next